Skip to main content
GET
/
customers
/
{customerId}
/
whitelist-recipients
/
{id}
Get a whitelist recipient by id
curl --request GET \
  --url https://api.conduit.financial/v2/customers/{customerId}/whitelist-recipients/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "customerId": "<string>",
  "accountNumber": "<string>",
  "routingNumber": "<string>",
  "iban": "<string>",
  "legalName": "<string>",
  "evidenceDocumentIds": [
    "<string>"
  ],
  "label": "<string>",
  "rejectionReason": "<string>",
  "createdAt": "2026-01-15T09:30:00.000Z",
  "updatedAt": "2026-01-15T09:30:00.000Z"
}

Authorizations

x-api-key
string
header
required

Path Parameters

customerId
string
required
id
string
required

Response

id
string
required
Pattern: ^wlr_[0-9A-Za-z]{22}$
customerId
string
required
Pattern: ^cus_[0-9A-Za-z]{22}$
rail
enum<string>
required
Available options:
us,
swift
accountNumber
string | null
required

US bank account number, returned exactly as submitted (this is the customer's own intercompany bank detail). Null for SWIFT recipients.

routingNumber
string | null
required

ABA routing number. Null for SWIFT recipients.

iban
string | null
required

IBAN, returned exactly as submitted. Null for US recipients.

relationship
enum<string>
required
Available options:
SELF,
GROUP_ENTITY
status
enum<string>
required
Available options:
pending_review,
registered,
suspended,
revoked,
rejected
evidenceDocumentIds
string[]
required
Pattern: ^doc_[0-9A-Za-z]{22}$
label
string | null
required
rejectionReason
string | null
required
createdAt
string<date-time>
required

ISO 8601 timestamp

Example:

"2026-01-15T09:30:00.000Z"

updatedAt
string<date-time>
required

ISO 8601 timestamp

Example:

"2026-01-15T09:30:00.000Z"